/* Common styles for all pages */
:root {
    --common-primary: goldenrod;
}


/* Attribution (Designed, Developed and Hosted by Duck Digital) */

div.attribution {
    font-size: 12px;
    color: var(--wp-admin-text-light);
}

div.attribution > a {
    font-size: 14px;
    text-decoration-color: goldenrod;
    color: var(--wp-admin-text-light);
}

/* Attribution End */

video {
    max-width: 1000px;
    max-height: 1000px;
}



/* Hide destination content until Alpine component is initialized */
div[data-config] > [destination] {
    display: none;
  }
  
  div[x-data] > * {
    transition: opacity 0.3s ease-in-out;
   }
  
   div[x-data].initialising {
    position: relative;
   }
  
   div[x-data].initialising > * {
    opacity: 0;
    pointer-events: none;
   }
  
   div[x-data].initialising::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    height: 3px;
    background: linear-gradient(90deg, var(--common-primary), var(--common-primary));
    width: 0%;
    animation: loading-bar 2s ease-in-out;
    z-index: 1000;
    box-shadow: 0 0 4px rgba(34, 113, 177, 0.5);
   }
  
   @keyframes loading-bar {
    0% {
      width: 0%;
    }
    50% {
      width: 70%;
    }
    100% {
      width: 95%;
    }
   }
  
   
  
  /* Alpine Components End */